Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceInformationHelper

    java.lang.Object
      org.omg.CORBA.ServiceInformationHelper

    public abstract class ServiceInformationHelper

extends Object

Constructor Summary
`ServiceInformationHelper()`

Method Summary
`static ServiceInformation` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ServiceInformation that)`
`static ServiceInformation` | `read(InputStream in)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream out, ServiceInformation that)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInformationHelper

    public ServiceInformationHelper()

Method Detail

### write

    public static void write(OutputStream out,
                             ServiceInformation that)

### read

    public static ServiceInformation read(InputStream in)

### extract

    public static ServiceInformation extract(Any a)

### insert

    public static void insert(Any a,
                              ServiceInformation that)

### type

    public static TypeCode type()

### id

    public static String id()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.